package sivantoledo.nxt;

public interface CommunicationInterface {

  public interface Listener {
    public void process(byte mailbox, byte[] buffer, int offset);
  }

  public abstract void flushAllQueues();

  public abstract void flushQueue(int mailbox);

  public abstract void send(Message m);

  public abstract void close();

}